Subject: Re: [RRG] draft-rja-ilnp-intro-01.txt

From: Brian E Carpenter <[email-masked]>
Date: Sun, 03 Aug 2008 17:50:27 +1200

On 2008-08-03 15:21, Tony Li wrote:
>  
> 
> |> |But does this function require a field that is present in all 
> |> |packets,  
> |> |and updating our transports to make place for this field?
> |> 
> |> No, it's clearly not strictly required.  One could clearly put the
> |> identifier in the transport header, for example.  
> |
> |Can you explain how to manage without it? Today a TCP session is
> |identified by a 4-tuple {dest addr, src addr, dest port, src port}.
> |[RFC 793 section 2.7]
> |In the brave new world we can't rely on {dest addr, src addr} so
> |don't we need another ID of some kind?
> 
> 
> So, one way would be to put the identifier into a transport option, for
> example, and then only include it in packets when there is a change in
> address.  You would continue to use locators as the pseudo-header in the
> meantime.  Conceptually it's the same thing, just an encoding game.

That works out very similar to shim6 except for doing it one layer
higher, and Iljitsch is right to the extent that *some* transport
packets need extra bits. Actually that has a noticeable advantage over
doing it at network layer: it need not cause an MTU size problem, because
the transport layer segmentation can take account of the extra bits.

    Brian (spending a multi-hour stopover in Narita)

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg